Webhook Events

Webhook event delivery logs

List webhook-events

get

Retrieve a paginated list of webhook-events

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Query parameters
pageintegerOptional

Page number

Example: 1
per_pageinteger · max: 100Optional

Items per page (max 100)

Example: 25
sortstringOptional

Sort field (prefix with - for descending)

Example: -created_at
Responses
chevron-right
200

Successful response with paginated list

application/json
get
/v2/webhook-endpoints/{id}/events

Get webhook-events

get

Retrieve a single webhook-events by ID

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Responses
chevron-right
200

Successful response

application/json
anyOptional
get
/v2/webhook-endpoints/{id}/events/{event_id}

No content

POST /v2/webhook-endpoints/:id/events/:event_id/retry

post

Endpoint: POST /v2/webhook-endpoints/:id/events/:event_id/retry

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Responses
chevron-right
200

Successful response

No content

post
/v2/webhook-endpoints/{id}/events/{event_id}/retry

No content

List webhook-events

get

Retrieve a paginated list of webhook-events

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Query parameters
pageintegerOptional

Page number

Example: 1
per_pageinteger · max: 100Optional

Items per page (max 100)

Example: 25
sortstringOptional

Sort field (prefix with - for descending)

Example: -created_at
Responses
chevron-right
200

Successful response with paginated list

application/json
get
/v2/webhook-events/

Last updated